"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.setConfig = exports.config = void 0;
var fs_1 = require("fs");
var path_1 = require("path");
var yaml_1 = __importDefault(require("yaml"));
function setConfig(cfg) {
    if (typeof cfg === "string") {
        var file = fs_1.readFileSync(cfg).toString();
        var ext = path_1.extname(cfg);
        if (ext === ".json") {
            exports.config = JSON.parse(file);
        }
        else if (ext === ".yaml" || ext === ".yml") {
            exports.config = yaml_1.default.parse(file);
        }
        else {
            throw Error("Unknown config file format, only support json/yaml");
        }
    }
    else {
        exports.config = cfg;
    }
    if (exports.config.remote) {
        exports.config.redis.host = exports.config.remote.host;
        exports.config.api.host = exports.config.remote.host;
    }
    else {
        exports.config.redis.host = "redis";
        exports.config.redis.port = 6379;
        exports.config.api.host = "mirai";
        exports.config.api.port = 8080;
    }
}
exports.setConfig = setConfig;
